# Generated from qdfca-1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name qdfca

Name: rubygem-%{gem_name}
Version: 1
Release: 1%{?dist}
Summary: Quick-Deploy Formal Concept Analysis (FCA)
License: Unlicense
URL: http://www.nist.gov/itl/ssd/cs/software-performance.cfm
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
qdfca (Quick-Deploy Formal Concept Analysis) is a command-line filter that
implements Formal Concept Analysis (FCA).  It is small, scriptable, and easy
to install, with no external requirements other than the standard Ruby
library.  The input is a formal context in CSV table format.  The output is a
dot format digraph rendering of the concept lattice with reduced labelling.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/qdfca
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/examples

%changelog
* Tue Apr 19 2022 mockbuilder - 1-1
- Initial package
